import { ThroughSubmitData } from "../../libs/tw/data/custom/throughSubmit/ThroughSubmitData";
import GameMgr from "../Mgr/GameMgr";

class Layers extends eui.UILayer {
    private _topLayer: eui.UILayer;
    private _popupLayer: eui.UILayer;
    private _sceneLayer: eui.UILayer;
    init(root: eui.UILayer) {
        root.addChild(this);
        this._topLayer = new eui.UILayer();
        this._popupLayer = new eui.UILayer();
        this._sceneLayer = new eui.UILayer();
        this.addChild(this._sceneLayer);
        this.addChild(this._popupLayer);
        this.addChild(this._topLayer);

        this._popupLayer.visible = false;
        this._topLayer.visible = false;

        /* let label = new eui.Label();
        label.size = 40;
        label.textColor = 0x000000;
        label.top = 30;
        label.horizontalCenter = 0;
        GameMgr.instance.second = label;
        this._topLayer.addChild(label);
        this._topLayer.visible = true;
        this._topLayer.touchEnabled = false; */
    }

    get topLayer() { return this._topLayer }
    get popupLayer() { return this._popupLayer }
    get sceneLayer() { return this._sceneLayer }

}

const instance = new Layers();
export default instance